﻿
open System
open System.IO

open tSNE

[<EntryPoint>]
let main argv = 

    // command line parsing
    let help () = 
        printfn "tSNE -csv <input_csv_file> -o <output_path_of_html> [-t <chart_title>]"
        Environment.Exit -1

    let mutable csv = ""
    let mutable o = ""
    let mutable t = ""
    for i in 0 .. 2 .. argv.Length - 1 do
        match argv.[i] with
        | "-csv" -> csv <- argv.[i+1]
        | "-o" -> o <- argv.[i+1]
        | "-t" -> t <- argv.[i+1]
        | "-h" -> help()
        | _ -> help ()
    if csv = "" || o = "" then help ()

    // take name of file when no title was set
    if t = "" then
        t <- Path.GetFileNameWithoutExtension(csv)

    // starting tSNE
    tSNE.Run csv t o

    0
