﻿namespace tSNE

/// scatter plot html template
module ScatterPlot =
    
    /// scatter plot html template
    let html () =
        "<!DOCTYPE html>" +
        "<html>" +
        "<head>" +
        "    <meta charset=\"UTF-8\">" +
        "    <script src=\"https://code.highcharts.com/highcharts.js\"></script>" +
        "    <script src=\"https://code.highcharts.com/modules/exporting.js\"></script>" +
        "    <title>tSNE</title>" +
        "</head>" +
        "<body>" +
        "    <div id=\"container\" style=\"width: 800px; height: 800px; padding-right: 5%; padding-left: 5%\"/>" +
        "<script type=\"text/javascript\">" +
        "    Highcharts.chart('container', {" +
        "        chart: {" +
        "            type: 'scatter'," +
        "            zoomType: 'xy'" +
        "        }," +
        "        title: { text: 'TITLE' }," +
        "        xAxis: {" +
        "            visible: false" +
        "        }," +
        "        yAxis: {" +
        "            visible: false," +
        "            title: { enabled: false }," +
        "        }," +
        "        legend: {" +
        "            layout: 'horizontal'," +
        "            align: 'center'," +
        "            verticalAlign: 'bottom'," +
        "            x: 0," +
        "            y: 0," +
        "            floating: false," +
        "            backgroundColor: (Highcharts.theme && Highcharts.theme.legendBackgroundColor) || '#FFFFFF'," +
        "            borderWidth: 1" +
        "        }," +
        "        plotOptions: {" +
        "            scatter: {" +
        "                marker: {" +
        "                    radius: 5," +
        "                    symbol: 'circle'," +
        "                    states: {" +
        "                        hover: {" +
        "                            enabled: false," +
        "                            lineColor: 'rgb(100,100,100)'" +
        "                        }" +
        "                    }" +
        "                }," +
        "                states: {" +
        "                    hover: {" +
        "                        marker: { enabled: false }" +
        "                    }" +
        "                }," +
        "                tooltip: {" +
        "                    headerFormat: '<b>{series.name}</b><br>'," +
        "                    pointFormat: ''" +
        "                }" +
        "            }" +
        "        }," +
        "        series: [ SERIES ]" +
        "     });" +
        " </script>" +
        "</body>" +
        "</html>"

