﻿namespace tSNE

open Aardvark.Base

open FsAlg.Generic
open System.Collections.Generic
open System.Diagnostics
open System.IO

/// creates highcharts visualization
module Visualization =
    
    /// creates highcharts visualization 
    let createHtml (title : string) (o : string) (t : string[]) (m : Matrix<float>) =
        
        let pts = 
            m 
            |> Matrix.toRows 
            |> Seq.map (fun r -> r |> Matrix.toArray |> V2d )
            |> Seq.map (fun x -> x.ToString())
            |> Seq.toArray
            
        // create series property 
        let cs = t |> Array.distinct 
        let s = new List<string>()

        for i = 0 to cs.Length - 1 do
            let c = cs.[i]
            let cPts = new List<string>()
            t
            |> Array.iteri (fun i x ->
                if t.[i] = c then 
                    cPts.Add(pts.[i])
            )
            s.Add("{ name: '" + c.ToString() + "', data: [" + cPts.Join(",") + "] }")
        
        // update html template and insert data
        let html = ScatterPlot.html().Replace("TITLE", title).Replace("SERIES", s.Join(","))
        File.WriteAllText(o, html)

        // open html-file in browser
        Process.Start(o) |> ignore